Bug 321121 - TCSH isn't installed by default
TCSH isn't installed by default
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 20:04 EDT by Joshua Rosen
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 11:32:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Rosen 2007-10-05 20:04:39 EDT
Description of problem: The F8 installer doesn't install tcsh by default. Tcsh
should be installed by default.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Vitezslav Crhonek 2007-11-15 08:48:36 EST
Hi,

do you test final F8 installer? Is this bug still present or can be closed?
Comment 2 Joshua Rosen 2007-11-15 13:12:11 EST
I did an install from using Fedora Live and it still wasn't there. I haven't
tried the full DVD of the final release.
Comment 3 Andreas M. Kirchwitz 2007-11-22 16:27:30 EST
The final F8 DVD release also does not install tcsh by default.
Although tcsh is rarely used for internal system accounts or
as a scripting language, it's very popular for interactive shells.

A Unix distribution without tcsh feels strange. ;-)
Comment 4 Vitezslav Crhonek 2007-11-28 09:28:21 EST
Changing component to "comps". But as I see in comps xml files, tcsh is optional
package, so if you want to use it, you can.
Comment 5 Seth Vidal 2007-11-28 09:38:40 EST
and I don't see it being added as a default package, just my 2c, though.
Comment 6 Bill Nottingham 2007-11-28 10:02:27 EST
I could see including it on the DVD manifest. But I don't think it's pratical on
the the Live CD where space is an issue, or installed by default when nothing
requires it.
Comment 7 Joshua Rosen 2007-11-28 10:08:42 EST
TCSH has always been a default package in every RH release, why change it now.
TCSH is expected to be part of the baseline functionality of any *nix system, I
have 25 years worth of scripts and I'm sure I'm not alone. When you walk up to
any *nix system you expect to be able to use it.
Comment 8 Brooke 2007-11-30 03:20:46 EST
I just installed Fedora 8 and the tcsh package was completely missing from the
DVD. I did verify the DVD after I burnded it and it checked out.

Workaround was to install tcsh rpm from the fedora7 DVD, seems to work fine.

(Note: I don't use Tcsh but our IT department is still using csh as the default
login shell, and very unwilling to change it for users).

Comment 9 Bill Nottingham 2007-11-30 11:25:39 EST
Assigning to pungi for the manifest.
Comment 10 Jesse Keating 2007-11-30 11:32:19 EST
tcsh moved to option in F7, and thus it fell off the DVD media.  I've already
added it to the manifest so that it will be on the DVD, but I'm not going to
change it from optional to default again.

Note You need to log in before you can comment on or make changes to this bug.